karaf-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: Karaf 3.0.3 OSGi Version
Date Mon, 16 Mar 2015 16:01:23 GMT
Hi Alex,

Felix 4.2.1 doesn't have full OSGi r5 support, even if it supports most 
of the features (it just didn't go through the different validation).

So K3 with Felix 4.2.1 is full OSGi r4.3, and mostly r5 compliant. If 
you use Equinox, you have full r5 supports.
Could make sense to upgrade the Felix framework version to have full r5 
support.

Regards
JB

On 03/16/2015 04:37 PM, agrz wrote:
> Hi,
>
> I am a little bit confused what is the OSGi Specification Version supported
> in Karaf 3.0.3.
> On the main page (http://karaf.apache.org/) it states Karaf 3.x supports
> OSGi 4.3.
> On the dependency matrix page
> (http://karaf.apache.org/index/documentation/karaf-dependencies/karaf-deps-3.0.x.html)
> it shows OSGi Core is Version 5.0.0 and the felix version is 4.2.1 which
> should also support OSGi 5 as far as I know.
> What is the exact version of OSGi Framework Karaf 3.0.3 supports and is
> tested for?
>
> Thank You
> Alexander
>
>
>
> --
> View this message in context: http://karaf.922171.n3.nabble.com/Karaf-3-0-3-OSGi-Version-tp4039091.html
> Sent from the Karaf - User mailing list archive at Nabble.com.
>

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message